【漏洞预警】OpenSSH 权限提升漏洞

2021-09-28 8,022

1. 通告信息


近日,安识科技A-Team团队监测发现OpenSSH项目发布了OpenSSH 8.8安全更新,修复了OpenSSH 6.2 到 8.7版本中的 sshd(8)中的一个权限提升漏洞。漏洞编号为CVE-2021-41617,漏洞等级:严重。

对此,安识科技建议广大用户及时升级到安全版本,并做好资产自查以及预防工作,以免遭受黑客攻击。

 

2. 漏洞概述


OpenSSH 是 SSH (Secure Shell) 协议的免费开源实现。

sshd(8)在执行AuthorizedKeysCommand或Authorized-PrincipalsCommand时,未能正确地初始化,其中Authorized-KeysCommandUser 或 AuthorizedPrincipalsCommandUser 指令被设置为以非root用户身份运行。相反,这些命令将继承 sshd(8) 启动时的组的权限,根据系统配置的不同,继承的组可能会让辅助程序获得意外的权限,导致权限提升。

sshd_config(5)中AuthorizedKeysCommand和 AuthorizedPrincipals-Command 都没有被默认启用。

 

3. 漏洞危害


击者可以利用漏洞从低权限用户提升到高权限用户, 进一步完全控制服务器


4. 影响版本


OpenSSH 版本6.2 - 8.7

 

5. 解决方案


目前此漏洞已经修复,建议受影响的用户及时升级更新到OpenSSH 8.8。

下载链接:

http://www.openssh.com/releasenotes.html


6. 时间轴


-】2021年9月26日 OpenSSH官方发布安全公告

-】2021年9月27日 安识科技A-Team团队根据官方公告分析

-】2021年9月27日 安识科技A-Team团队发布安全通告



本文作者:安识科技

本文为安全脉搏专栏作者发布,转载请注明:https://www.secpulse.com/archives/167021.html

Tags:
评论  (0)
快来写下你的想法吧!

安识科技

文章数:104 积分: 135

安识科技:专业的企业安全解决方案提供商。官网:https://www.duoyinsu.com/

安全问答社区

安全问答社区

脉搏官方公众号

脉搏公众号